
<template>
    <el-container style="height: 100%">
        <el-header>
            <commonheader></commonheader>
        </el-header>
        <el-container>
            <el-aside width="auto">
                <commonaside></commonaside>
            </el-aside>
            <el-main>
    <div class="tabControl">
        <div >
    <el-row  :gutter="20"  class="el-row" type="flex" v-loading="loading" >
    <el-col :lg="6" :xs="24"  v-for="(item,index) in shopsList" id=item :key="item.shopId" class="el-col">
    <el-card class="el-card"  :key="index"  onclick="" v-if="(index >=(page.currentPage-1)*page.pageSize) && (index <(page.currentPage)*page.pageSize)">
        <span style="text-align: center;display:block;">{{item.shopName}}<br></span>

        <img :src="item.shopImage" class="image">
        <div style="padding: 14px;">
        <span style="text-align: center;display:block;">{{item.shopIntroduction}}</span>
        <span style="text-align: center;display:block;">{{item.shopLocation}}</span>
        <span style="text-align: center;display:block;">{{item.shopType}}</span>
        <div class="bottom clearfix">
        <el-button type="text" class="button" @click="shop(item.shopId)">查看详情</el-button>
        </div>
        </div>
    </el-card>
    </el-col>
    </el-row>
    <span></span>
        </div>
            <div id="pager" class="pager01">

<el-pagination
@current-change='CurrentChange'
background layout='total,  prev, pager, next, jumper'
:total='shopsList.length'
:page-size='10'
:current-page.sync='page.currentPage'
>
</el-pagination>
    </div>
</div>
            </el-main>
        </el-container>
    </el-container>
</template>

<script>
import browseworkout from '@/services/browseworkout'
import commonaside from '../components/commonaside.vue'
import commonheader from '../components/commonheader.vue'
export default {
  components: {
    commonaside,
    commonheader
  },

  name: 'browseworkout',
  data () {
    return {
      page: {
        pageSize: 12,
        currentPage: 1,
        total: 0
      },
      shopsList: []
    }
  },
  created () {
    this.getGoodsList()
  },
  methods: {
    async getGoodsList () {
      try {
        const response = await browseworkout.getInfo(
          { headers: {'Authorization': this.$store.state.token}
          })
        this.shopsList = response.data.data.shopList
        this.manyTableData = response.data
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
        }
      }
    },
    shop (shopId) {
      this.$router.push('/browseservice/' + shopId)
    },
    computed: {
      pages () {
        const pages = []
        this.shopsList.forEach((item, index) => {
          const page = Math.floor(index / 4)
          if (!pages[page]) {
            pages[page] = []
          }
          pages[page].push(item)
        })
        return pages
      }
    }
  },
  handleCurrentChange (val) {
    var thispage = this
    thispage.currentpage = val
    thispage.initPage()
  },
  CurrentChange (currentPage) {
    this.page.currentPage = currentPage
  }
}

</script>
<style scoped>
    .time {
    font-size: 13px;
    color: #999;
    }
    .bottom {
    margin-top: 13px;
    line-height: 12px;
    }
    .button {
    padding: 0;
    float: right;
    }
    .image {
    width: 100%;
    display: block;
    }
    .clearfix:before,
    .clearfix:after {
        display: table;
        content: "";
    }
    .clearfix:after {
        clear: both
    }
    .el-row {
    margin-bottom: 20px;
    display: flex;
    flex-wrap: wrap
    }
    .el-col {
    border-radius: 4px;
    align-items: stretch;
    margin-bottom: 0px;
    margin-top: 20px;
    }
    .el-header {
    background-color: #333;
}
.el-main {
    padding-top: 0;
}
.pager01{
left:0;
bottom: 0;
width:100%;
height:50px;
text-align: center;
list-style: none;
padding-top:8px;
}
</style>
